Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.introduction
Class InterfaceIntroduction

    java.lang.Object
      org.jboss.aop.introduction.InterfaceIntroduction

public class InterfaceIntroduction
extends Object

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Nested Class Summary
`static class` | `InterfaceIntroduction.Mixin`

Field Summary
`protected ArrayList` | `advisors`
`protected ASTStart` | `ast`
`protected ClassExpression` | `classExpr`
`protected String[]` | `interfaces`
`protected ArrayList` | `mixins`
`protected String` | `name`

Constructor Summary
`InterfaceIntroduction()`
`InterfaceIntroduction(String name, ASTStart ast, String[] interfaces)`
`InterfaceIntroduction(String name, String exp, String[] interfaces)`

Method Summary
`void` | `addAdvisor(Advisor advisor)`
`void` | `clearAdvisors()`
`boolean` | `equals(Object obj)`
`ASTStart` | `getAst()`
`String` | `getClassExpr()`
`String[]` | `getInterfaces()`
`ArrayList` | `getMixins()`
`String` | `getName()`
`int` | `hashCode()`
`boolean` | `matches(Advisor advisor, Class clazz)`
`boolean` | `matches(Advisor advisor, javassist.CtClass clazz)`
`void` | `setClassExpression(String exp)`
`void` | `setInterfaces(String[] interfaces)`
`void` | `setMixins(ArrayList mixins)`
`void` | `setName(String name)`
`void` | `setTypeExpression(String exp)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### advisors

    protected ArrayList advisors

### interfaces

    protected String[] interfaces

### mixins

    protected ArrayList mixins

### classExpr

    protected ClassExpression classExpr

### ast

    protected ASTStart ast

Constructor Detail

### InterfaceIntroduction

    public InterfaceIntroduction()

### InterfaceIntroduction

    public InterfaceIntroduction(String name,
                                 String exp,
                                 String[] interfaces)

### InterfaceIntroduction

    public InterfaceIntroduction(String name,
                                 ASTStart ast,
                                 String[] interfaces)

Method Detail

### setClassExpression

    public void setClassExpression(String exp)

### setTypeExpression

    public void setTypeExpression(String exp)

### setMixins

    public void setMixins(ArrayList mixins)

### setInterfaces

    public void setInterfaces(String[] interfaces)

### setName

    public void setName(String name)

### getName

    public String getName()

### getInterfaces

    public String[] getInterfaces()

### getMixins

    public ArrayList getMixins()

### addAdvisor

    public void addAdvisor(Advisor advisor)

### clearAdvisors

    public void clearAdvisors()

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getClassExpr

    public String getClassExpr()

### getAst

    public ASTStart getAst()

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtClass clazz)
                    throws Exception

  Throws:
    `Exception`

### matches

    public boolean matches(Advisor advisor,
                           Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.